org.apache.tomcat.util.http.fileupload

## Class FileUploadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.tomcat.util.http.fileupload.FileUploadException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FileUploadBase.InvalidContentTypeException, FileUploadBase.IOFileUploadException, FileUploadBase.SizeException

    public class FileUploadException
    extends Exception

Exception for errors encountered while processing the request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FileUploadException()`
`FileUploadException(String message)`
`FileUploadException(String message, Throwable cause)`
`FileUploadException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileUploadException

    public FileUploadException()

#### FileUploadException

    public FileUploadException(String message,
                       Throwable cause)

#### FileUploadException

    public FileUploadException(String message)

#### FileUploadException

    public FileUploadException(Throwable cause)